summaryrefslogtreecommitdiff
path: root/tests/mv/into-self
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 23:05:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit33173e867aa45b7f88551551da51e36875582813 (patch)
tree8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/into-self
parentdf0beae1eb1318869d51a064aec8fdd401877cbf (diff)
downloadcoreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to find the required dir. Now, exit 77 in this script so callers don't have to. Adjust callers.
Diffstat (limited to 'tests/mv/into-self')
-rwxr-xr-xtests/mv/into-self24
1 files changed, 8 insertions, 16 deletions
diff --git a/tests/mv/into-self b/tests/mv/into-self
index 46f26ceab..7c2636ee9 100755
--- a/tests/mv/into-self
+++ b/tests/mv/into-self
@@ -1,7 +1,7 @@
#! /bin/sh
# Demonstrate how mv fails when it tries to move a directory into itself.
-# Copyright (C) 1998, 1999, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000, 2002, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,25 +21,18 @@ if test "$VERBOSE" = yes; then
mv --version
fi
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
dir=toself-dir
file=toself-file
-test_failure=0
-
-rm -rf $dir $file || test_failure=1
-mkdir -p $dir/a/b || test_failure=1
-touch $file || test_failure=1
-
-if test $test_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
+rm -rf $dir $file || framework_failure
+mkdir -p $dir/a/b || framework_failure
+touch $file || framework_failure
fail=0
-# Make sure we get English translations.
-. $srcdir/../lang-default
-
# This mv command should fail.
mv $dir $file $dir > out 2>&1 && fail=1
@@ -53,7 +46,7 @@ cat > exp <<\EOF
XXX: cannot move `SRC' to a subdirectory of itself, `DEST'
EOF
-cmp out2 exp || fail=1
+compare out2 exp || fail=1
# Make sure the file is gone.
test -f $file && fail=1
@@ -62,6 +55,5 @@ test -d $dir || fail=1
test -d $dir/$dir && fail=1
# Make sure the file has been moved to the right place.
test -f $dir/$file || fail=1
-rm -rf $dir $file out out2 exp
exit $fail